Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.property.basic
Class NameValueFactory

    java.lang.Object
      org.modeshape.graph.property.basic.AbstractValueFactory<Name>
          org.modeshape.graph.property.basic.NameValueFactory

All Implemented Interfaces:
  NameFactory, ValueFactory<Name>

    @Immutable
    public class NameValueFactory

extends AbstractValueFactory<Name>
implements NameFactory

The standard `ValueFactory` for `PropertyType.NAME` values.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.property.basic.AbstractValueFactory
`AbstractValueFactory.ConvertingIterator<ValueType>`

Field Summary
`protected static String` | `FULLY_QUALFIED_NAME_PATTERN_STRING`
`protected static Pattern` | `FULLY_QUALIFIED_NAME_PATTERN`

Fields inherited from interface org.modeshape.graph.property.ValueFactory
`DEFAULT_DECODER, DEFAULT_ENCODER`

Constructor Summary
`NameValueFactory(NamespaceRegistry namespaceRegistry, TextDecoder decoder, ValueFactory<String> stringValueFactory)`

Method Summary
`Name` | `create(BigDecimal value)` Create a value from a decimal.
`Name` | `create(Binary value)` Create a value from the binary content given by the supplied stream.
`Name` | `create(boolean value)` Create a boolean from a string.
`Name` | `create(byte[] value)` Create a value from the binary content given by the supplied array.
`Name` | `create(Calendar value)` Create a value from a Calendar instance.
`Name` | `create(Date value)` Create a value from a date.
`Name` | `create(DateTime value)` Create a value from a date-time instant.
`Name` | `create(double value)` Create a value from a double.
`Name` | `create(float value)` Create a value from a float.
`Name` | `create(InputStream stream, long approximateLength)` Create a value from the binary content given by the supplied stream.
`Name` | `create(int value)` Create a value from an integer.
`Name` | `create(long value)` Create a long from a string.
`Name` | `create(Name value)` Create a value from a name.
`Name` | `create(Path.Segment segment)` Create a value from a path segment.
`Name` | `create(Path value)` Create a value from a path.
`Name` | `create(Reader reader, long approximateLength)` Create a value from a the binary content given by the supplied reader.
`Name` | `create(Reference value)` Create a value from a reference.
`Name` | `create(String value)` Create a value from a string, using no decoding.
`Name` | `create(String namespaceUri, String localName)` Create a name from the given namespace URI and local name.
`Name` | `create(String namespaceUri, String localName, TextDecoder decoder)` Create a name from the given namespace URI and local name.
`Name` | `create(String value, TextDecoder decoder)` Create a value from a string, using the supplied decoder.
`Name` | `create(URI value)` Create a value from a URI.
`Name` | `create(UUID value)` Create a value from a UUID.
`protected Name[]` | `createEmptyArray(int length)`
`NamespaceRegistry` | `getNamespaceRegistry()` Get the namespace registry.

Methods inherited from class org.modeshape.graph.property.basic.AbstractValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getDecoder, getDecoder, getPropertyType, getStringValueFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.property.ValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getPropertyType`

Field Detail

### FULLY_QUALFIED_NAME_PATTERN_STRING

    protected static final String FULLY_QUALFIED_NAME_PATTERN_STRING

See Also:
  Constant Field Values

### FULLY_QUALIFIED_NAME_PATTERN

    protected static final Pattern FULLY_QUALIFIED_NAME_PATTERN

Constructor Detail

### NameValueFactory

    public NameValueFactory(NamespaceRegistry namespaceRegistry,
                            TextDecoder decoder,
                            ValueFactory<String> stringValueFactory)

Method Detail

### create

    public Name create(String value)

  Create a value from a string, using no decoding.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the string from which the value is to be created
  Returns:
    the value, or null if the supplied string is null
  See Also:
    `ValueFactory.create(String, TextDecoder)`

### create

    public Name create(String value,
                       TextDecoder decoder)

  Create a value from a string, using the supplied decoder.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the string from which the value is to be created
    `decoder` - the decoder that should be used; if null, the `default decoder` is used
  Returns:
    the value, or null if the supplied string is null
  See Also:
    `ValueFactory.create(String)`

### create

    public Name create(String namespaceUri,
                       String localName)

  Create a name from the given namespace URI and local name.

  This method is equivalent to calling `NameFactory.create(String, String, TextDecoder)` with a null encoder.

  Specified by:
    `create` in interface `NameFactory`
  Parameters:
    `namespaceUri` - the namespace URI
    `localName` - the local name
  Returns:
    the new name

### create

    public Name create(String namespaceUri,
                       String localName,
                       TextDecoder decoder)

  Create a name from the given namespace URI and local name.

  Specified by:
    `create` in interface `NameFactory`
  Parameters:
    `namespaceUri` - the namespace URI
    `localName` - the local name
    `decoder` - the decoder that should be used to decode the qualified name
  Returns:
    the new name

### create

    public Name create(int value)

  Create a value from an integer.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the integer from which the value is to be created
  Returns:
    the value; never null

### create

    public Name create(long value)

  Create a long from a string.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the string from which the long is to be created
  Returns:
    the value; never null

### create

    public Name create(boolean value)

  Create a boolean from a string.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the boolean from which the value is to be created
  Returns:
    the value; never null

### create

    public Name create(float value)

  Create a value from a float.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the float from which the value is to be created
  Returns:
    the value; never null

### create

    public Name create(double value)

  Create a value from a double.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the double from which the value is to be created
  Returns:
    the value; never null

### create

    public Name create(BigDecimal value)

  Create a value from a decimal.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the decimal from which the value is to be created
  Returns:
    the value, or null if the supplied decimal is null

### create

    public Name create(Calendar value)

  Create a value from a Calendar instance.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the Calendar instance from which the value is to be created
  Returns:
    the value, or null if the supplied Calendar is null

### create

    public Name create(Date value)

  Create a value from a date.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the date from which the value is to be created
  Returns:
    the value, or null if the supplied date is null

### create

    public Name create(DateTime value)
                throws ValueFormatException

  Create a value from a date-time instant.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the date-time instant from which the value is to be created
  Returns:
    the value, or null if the supplied date is null
  Throws:
    `ValueFormatException` - if the conversion from a Date could not be performed
  See Also:
    `ValueFactory.create(org.modeshape.graph.property.DateTime)`

### create

    public Name create(Name value)

  Create a value from a name.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the name from which the value is to be created
  Returns:
    the value, or null if the supplied name is null

### create

    public Name create(Path value)

  Create a value from a path.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the path from which the value is to be created
  Returns:
    the value, or null if the supplied path is null

### create

    public Name create(Path.Segment segment)

  Create a value from a path segment.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `segment` - the path segment from which the value is to be created
  Returns:
    the value, or null if the supplied path segment is null

### create

    public Name create(Reference value)

  Create a value from a reference.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the reference from which the value is to be created
  Returns:
    the value, or null if the supplied reference is null

### create

    public Name create(URI value)

  Create a value from a URI.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the URI from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null

### create

    public Name create(UUID value)
                throws IoException

  Create a value from a UUID.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the UUID from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null
  Throws:
    `IoException`
  See Also:
    `ValueFactory.create(java.util.UUID)`

### create

    public Name create(byte[] value)

  Create a value from the binary content given by the supplied array.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the content to be used to create the value
  Returns:
    the value, or null if the supplied stream is null

### create

    public Name create(Binary value)
                throws ValueFormatException,
                       IoException

  Create a value from the binary content given by the supplied stream.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `value` - the binary object to be used to create the value
  Returns:
    the value, or null if the supplied stream is null
  Throws:
    `ValueFormatException` - if the conversion from the binary object could not be performed
    `IoException` - If an unexpected problem occurs while accessing the supplied binary value (such as an `IOException`).
  See Also:
    `ValueFactory.create(org.modeshape.graph.property.Binary)`

### create

    public Name create(InputStream stream,
                       long approximateLength)
                throws IoException

  Create a value from the binary content given by the supplied stream.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `stream` - the stream containing the content to be used to create the value
    `approximateLength` - the approximate length of the content (in bytes)
  Returns:
    the value, or null if the supplied stream is null
  Throws:
    `IoException` - If an unexpected problem occurs while accessing the supplied stream (such as an `IOException`).

### create

    public Name create(Reader reader,
                       long approximateLength)
                throws IoException

  Create a value from a the binary content given by the supplied reader.

  Specified by:
    `create` in interface `ValueFactory<Name>`
  Parameters:
    `reader` - the reader containing the content to be used to create the value
    `approximateLength` - the approximate length of the content (in bytes)
  Returns:
    the value, or null if the supplied string is null
  Throws:
    `IoException` - If an unexpected problem occurs while accessing the supplied reader (such as an `IOException`).

### getNamespaceRegistry

    public NamespaceRegistry getNamespaceRegistry()

  Get the namespace registry.

  Specified by:
    `getNamespaceRegistry` in interface `NameFactory`
  Returns:
    the namespace registry; never `null`
  See Also:
    `NameFactory.getNamespaceRegistry()`

### createEmptyArray

    protected Name[] createEmptyArray(int length)

  Specified by:
    `createEmptyArray` in class `AbstractValueFactory<Name>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.